## preflight

Run and retrieve preflight checks in a cluster

### Synopsis

A preflight check is a set of validations that can and should be run to ensure
that a cluster meets the requirements to run an application.

```
preflight [url] [flags]
```

### Options

```
      --as string                      Username to impersonate for the operation. User could be a regular user or a service account in a namespace.
      --as-group stringArray           Group to impersonate for the operation, this flag can be repeated to specify multiple groups.
      --as-uid string                  UID to impersonate for the operation.
      --cache-dir string               Default cache directory (default "$HOME/.kube/cache")
      --certificate-authority string   Path to a cert file for the certificate authority
      --client-certificate string      Path to a client certificate file for TLS
      --client-key string              Path to a client key file for TLS
      --cluster string                 The name of the kubeconfig cluster to use
      --collect-without-permissions    always run preflight checks even if some require permissions that preflight does not have (default true)
      --collector-image string         the full name of the collector image to use
      --collector-pullpolicy string    the pull policy of the collector image
      --context string                 The name of the kubeconfig context to use
      --cpuprofile string              File path to write cpu profiling data
      --debug                          enable debug logging
      --disable-compression            If true, opt-out of response compression for all requests to the server
      --format string                  output format, one of human, json, yaml. only used when interactive is set to false (default "human")
  -h, --help                           help for preflight
      --insecure-skip-tls-verify       If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure
      --interactive                    interactive preflights (default true)
      --kubeconfig string              Path to the kubeconfig file to use for CLI requests.
      --memprofile string              File path to write memory profiling data
  -n, --namespace string               If present, the namespace scope for this CLI request
  -o, --output string                  specify the output file path for the preflight checks
      --request-timeout string         The length of time to wait before giving up on a single server request. Non-zero values should contain a corresponding time unit (e.g. 1s, 2m, 3h). A value of zero means don't timeout requests. (default "0")
      --selector string                selector (label query) to filter remote collection nodes on.
  -s, --server string                  The address and port of the Kubernetes API server
      --since string                   force pod logs collectors to return logs newer than a relative duration like 5s, 2m, or 3h.
      --since-time string              force pod logs collectors to return logs after a specific date (RFC3339)
      --tls-server-name string         Server name to use for server certificate validation. If it is not provided, the hostname used to contact the server is used
      --token string                   Bearer token for authentication to the API server
      --user string                    The name of the kubeconfig user to use
  -v, --v Level                        number for the log level verbosity
```

### SEE ALSO

* [preflight oci-fetch](preflight_oci-fetch.md)	 - Fetch a preflight from an OCI registry and print it to standard out
* [preflight version](preflight_version.md)	 - Print the current version and exit

###### Auto generated by spf13/cobra on 8-Jun-2023
